trigger:
  - master/*
stages:
  - stage:
    displayName: 'Development Integration'
    jobs:
      - job: 'build_artifact'
        displayName: 'Development Integration'
        pool:
          name: Azure Pipelines
          VmImage: ubuntu-18.04
        steps:
          - task: Gradle@2
            inputs:
              gradleWrapperFile: 'gradlew'
              tasks: 'build'
              publishJUnitResults: true
              testResultsFiles: '**/TEST-*.xml'
              javaHomeOption: 'JDKVersion'
              sonarQubeRunAnalysis: false
          - task: SonarQubePrepare@4
            inputs:
              SonarQube: 'SonarQuind'
              scannerMode: 'CLI'
              configMode: 'manual'
              cliProjectKey: 'CalculatorBackEndSpring'
              cliProjectName: 'CalculatorBackEndSpring'
              cliSources: '.'
              extraProperties: |
                sonar.projectKey=myproject:CalculatorBackEndSpring-K
                sonar.projectName=CalculatorBackEndSpring-K
                sonar.projectVersion=1.0
                sonar.language=java
                sonar.sources=src/main/java
                sonar.java.binaries=build/classes
          - task: SonarQubeAnalyze@4
          - task: SonarQubePublish@4
            inputs:
              pollingTimeoutSec: '300'
          - task: sonar-buildbreaker@8
            inputs:
              SonarQube: 'SonarQuind'
          - task: PublishBuildArtifacts@1
            inputs:
              PathtoPublish: '$(Build.ArtifactStagingDirectory)'
              ArtifactName: 'drop'
              publishLocation: 'Container'